## GstGLOverlayCompositor GstGLOverlayCompositor — Composite multiple overlays using OpenGL |

## Functions

GstGLOverlayCompositor * | gst_gl_overlay_compositor_new ()
GstCaps * | gst_gl_overlay_compositor_add_caps ()
void | gst_gl_overlay_compositor_draw_overlays ()
void | gst_gl_overlay_compositor_upload_overlays ()
void | gst_gl_overlay_compositor_free_overlays ()

## Description

## Functions

### gst_gl_overlay_compositor_new ()

    GstGLOverlayCompositor *
    gst_gl_overlay_compositor_new (GstGLContext *context);

### gst_gl_overlay_compositor_add_caps ()

    GstCaps *
    gst_gl_overlay_compositor_add_caps (GstCaps *caps);

### gst_gl_overlay_compositor_draw_overlays ()

    void
    gst_gl_overlay_compositor_draw_overlays
                                   (GstGLOverlayCompositor *compositor);

### gst_gl_overlay_compositor_upload_overlays ()

    void
    gst_gl_overlay_compositor_upload_overlays
                                   (GstGLOverlayCompositor *compositor,
                                    GstBuffer *buf);

### gst_gl_overlay_compositor_free_overlays ()

    void
    gst_gl_overlay_compositor_free_overlays
                                   (GstGLOverlayCompositor *compositor);

## Types and Values

## See Also

GstGLMemory, GstGLContext